gestor paquetes

Asked by joseflames on 2007-06-11

tengo un problema con el gestor d paquetes

no puedo instalar ni desinstalar nada

el problema se dio desde que instale el panda

por cierto qu es un antivirus que no es de mi agrado

y bueno no se termino la instalacion

y me mostro un mensaje de error.

dice que el paquete debe ser reinstalado

entonces lo intento reinstalar y no se puede

tampoco desinstalar

y no me deja anadir aplicaciones

y tampoco me deja abrir el gestor de paquetes synaptic.

ya intente varias cosas

como el>

sudo dpkg --remove --force-remove-reinstreq panda-security

y no me funciona,

me aparece la siguiente informacion>

francisco@francisco-desktop:~$ sudo dpkg --remove --force-remove-reinstreq panda-security
[sudo] password for francisco:
dpkg - aviso, no se tendrá en cuenta el problema por estar activa
 una opción --force:
 El paquete está en un estado muy malo e inconsistente - debe reinstalarlo
 antes de intentar desinstalarlo.
(Leyendo la base de datos ...
175601 ficheros y directorios instalados actualmente.)
Desinstalando panda-security ...
/var/lib/dpkg/info/panda-security.prerm: 5: Syntax error: "(" unexpected
dpkg: error al procesar panda-security (--remove):
 el subproceso pre-removal script devolvió el código de salida de error 2
/var/lib/dpkg/info/panda-security.postinst: 13: Syntax error: "(" unexpected
dpkg: error al reorganizar:
 el subproceso post-installation script devolvió el código de salida de error 2
Se encontraron errores al procesar:
 panda-security
francisco@francisco-desktop:~$

y al parecer no desinstala nada

he igual sigo con el problema

por favor si alguien me pudiera ayudar

se lo agradeceria

tengo la version 8.04 de ubuntu

y el paquete es "panda-antivirus"

de ante mano muchas gracias

Atte

pacomendez

Question information

Language:
Spanish Edit question
Status:
Answered
For:
Ubuntu nautilus Edit question
Assignee:
No assignee Edit question
Last query:
2007-06-11
Last reply:
2010-02-06
joseflames (joseflames) said : #1

porfavor ayuda

Mariano Mara (marplatense) said : #2

Hola José,
por favor, para que te podamos ayudar necesitamos nos digas que intentás hacer, con qué y que error te da (exacto).

Esperamos tu respuesta.
Saludos.

joseflames (joseflames) said : #3

hola!, yo estube intentando de instalar el virtualbox, pero ahora me dice que se instalo mal y que tiene que reinstalarse pero que no encuentra el archivo y que reporte el error

no puedo entrar al gestor de paquetes

no se logro instalar el virtualbox

intento reinstalar virtualbox me dice que esta dañado o que no tengo permisos (ye baje denuevo el archivo y nada)

porfavor ayuda

Mariano Mara (marplatense) said : #4

Hola de nuevo.
No te hagas problema, creo que podremos solucionarlo.

Para poder hacer un diagnostico correcto es necesario primero saber como lo instalaste.
Por favor, pasanos la siguiente información (y tratá de ser lo más preciso posible):
1- ¿de donde descargaste el virtualbox que instalaste?
2- ¿que comandos usaste para instalarlo?
3- ¿podrías por favor escribir textual el mensaje que recibís al intentar ejecutar virtualbox?
4- ¿que error te da el gestor de paquetes? ¿cómo intentas acceder a él?
5- ¿como intentar reinstalar virtualbox? ¿podrías escribir el mensaje textual que recibís como error?

Esperamos tu respuesta

joseflames (joseflames) said : #5

ubuntu 7.014 user
1. de la pagina
2. no use comando solo lo estoy abriendo
es un archivo .deb
3.

esto me sale en la barra de notificaciones con una estrella anaranjada

 No se ha podido inicializar la información de los paquetes

Ha ocurrido un problema imposible de corregir cuando se inicializaba la información de los paquetes.

Por favor, informe de ésto como un fallo en el paquete «update-manager» e incluya el siguiente mensaje de error:

'E:El paquete virtualbox necesita ser reinstalado, pero no se encuentra un archivo para éste.'

4.-
'E:El paquete virtualbox necesita ser reinstalado, pero no se encuentra un archivo para éste.'
E: error interno al abrir el cache (1). por favor informe de este error

5-solo intento abrir el archivo que baje de la pagina y me sale lo siguiente

could not open

'el nombre del archivo'

el paquete podria estar danado o puede q usted no tenga permisos para abrir el archivo. revise los permisos del archivo...

disclpe que no respondi antes esque estaba en la uni

Dante Díaz (dante) said : #6

Intenta ejecutar este comando desde consola:

$ sudo apt-get install virtualbox

si no me equivoco está en los repositorios de ubuntu, aunque yo lo he descargado desde Automatix

danielgd (danielgd) said : #7

Intenta ejecutar esto desde la consola:

sudo apt-get --fix-broken install virtualbox

Y si no funciona, probemos a desinstalar, borrar el fichero bajado y volverlo a bajar para reinstalar.
Para desinstalarlo puedes usar Synaptic (herramienta gráfica, está en el menú Sistema/Administración/Gestor de paquetes Synaptic) o poner lo siguiente en la consola:

sudo apt-get remove virtualbox

Este programa no está en los repositorios de Ubuntu, pero en su web hay paquetes preparados para varias versiones de Ubuntu.
1. Para ver qué versión de Ubuntu tienes instalada puedes abrir el Firefox y leerlo en la página de inicio por defecto . Por ejemplo, "7.04"
2. Para ver qué tipo de CPU tienes, ejecuta desde la consola lo siguiente:
    uname -m

    Si te sale i686,i586,i486 o i386, tu versión del paquete será la marcada como i386
    Si te sale AMD64, esa será tu versión del paquete

3. Comprueba que te bajas el paquete correspondiente a tu versión de Ubuntu y arquitectura .
4. Cruza los dedos ;)

jorge (jorge-moonito) said : #8

holas tengo el mismo problema
y no puedo desisntalarlo desde sinaptic
no me parte

jorge (jorge-moonito) said : #9

probe todo lo ke se dice aki
y aun me dice reinstalar
incluso lo baje denuevo
jorge@jorge-desktop:~/Desktop$ sudo apt-get install virtualboxvirtualbox_1.4.0-21864_Ubuntu_feisty_amd64.deb
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
E: El paquete virtualbox necesita ser reinstalado, pero no se encuentra un archivo para éste.
jorge@jorge-desktop:~/Desktop$ sudo apt-get install virtualboxvirtualbox_1.4.0-21864_Ubuntu_feisty_amd64(2).deb
bash: error de sintaxis cerca de token no esperado `('
jorge@jorge-desktop:~/Desktop$ sudo apt-get install virtualboxvirtualbox_1.4.0-21864_Ubuntu_feisty_amd64(2).deb
bash: error de sintaxis cerca de token no esperado `('
jorge@jorge-desktop:~/Desktop$ sudo apt-get --fix-broken install virtualbox3
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
E: El paquete virtualbox necesita ser reinstalado, pero no se encuentra un archivo para éste.
jorge@jorge-desktop:~/Desktop$ sudo apt-get --fix-broken install virtualbox
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
E: El paquete virtualbox necesita ser reinstalado, pero no se encuentra un archivo para éste.
jorge@jorge-desktop:~/Desktop$ sudo apt-get --fix-broken install virtualbox
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
E: El paquete virtualbox necesita ser reinstalado, pero no se encuentra un archivo para éste.
jorge@jorge-desktop:~/Desktop$ sudo apt-get remove virtualbox
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
E: El paquete virtualbox necesita ser reinstalado, pero no se encuentra un archivo para éste.
jorge@jorge-desktop:~/Desktop$ dir
gimp-2.2.desktop virtualbox_1.4.0-21864_Ubuntu_feisty_amd64(2).deb
jorge@jorge-desktop:~/Desktop$ sudo apt-get install virtualboxvirtualbox_1.4.0-21864_Ubuntu_feisty_amd64(2).deb
bash: error de sintaxis cerca de token no esperado `('
jorge@jorge-desktop:~/Desktop$ sudo apt-get install virtualboxvirtualbox_1.4.0-21864_Ubuntu_feisty_amd64.deb
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo información de estado... Hecho
E: El paquete virtualbox necesita ser reinstalado, pero no se encuentra un archivo para éste.
jorge@jorge-desktop:~/Desktop$
jorge@jorge-desktop:~/Desktop$

jorge (jorge-moonito) said : #10

No se ha podido inicializar la información de los paquetes

Ha ocurrido un problema imposible de corregir cuando se inicializaba la información de los paquetes.

Por favor, informe de ésto como un fallo en el paquete «update-manager» e incluya el siguiente mensaje de error:

'E:El paquete virtualbox necesita ser reinstalado, pero no se encuentra un archivo para éste.'

esto me dice el sinaptic

Cristo (cristo-85-yahoo) said : #11

Hola tuve exactamente el mismo problema pero encontré la solución pero al primer intento no funciono pero después SI FUNCIONO!!!

me saque la solución de esta página :
http://www.ubuntu-es.org/index.php?q=node/46265
y esta es la solución posteada:

sudo dpkg --remove --force-remove-reinstreq virtualbox
dpkg - aviso, no se tendrá en cuenta el problema por estar activa
una opción --force:
El paquete está en un estado muy malo e inconsistente - debe reinstalarlo
antes de intentar desinstalarlo.
(Leyendo la base de datos ...
dpkg: aviso importante: falta el fichero de lista de ficheros del paquete
`virtualbox', se supondrá que el paquete no tiene ningún fichero
actualmente instalado.
94408 ficheros y directorios instalados actualmente.)
Desinstalando virtualbox ...

en pocas palabras copia y ejecuta este código en la consola sudo dpkg --remove --force-remove-reinstreq virtualbox

Auringal (auringal) said : #12

Hola, me ocurrio exactamente lo mismo y pude solucionarlo con tu ayuda
¡¡¡GRACIAS!!!

MIl gracias muchachos.

Me ayudaron a solucionar este gran problema

Un abrazo

andonifer (andonifer) said : #14

Bueno,yo traté de instalar un driver(paquete.deb) de mi impresora y me pasó exactamente lo mismo,traté de hacer lo que dice Cristo y me sale lo siguiente:

andoni@ubuntu:~$ sudo dpkg --remove --force-remove-reinstreq mfc8420lpr
dpkg - aviso, no se tendrá en cuenta el problema por estar activa
 una opción --force:
 El paquete está en un estado muy malo e inconsistente - debe reinstalarlo
 antes de intentar desinstalarlo.
(Leyendo la base de datos ...
107250 ficheros y directorios instalados actualmente.)
Desinstalando mfc8420lpr ...
/var/lib/dpkg/info/mfc8420lpr.postrm: 3: /etc/init.d/lpd: not found
dpkg: error al procesar mfc8420lpr (--remove):
 el subproceso post-removal script devolvió el código de salida de error 127
Se encontraron errores al procesar:
 mfc8420lpr

espero que me podais ayudar,ya que en otras webs ya pasan de mí ¬¬
saludos y gracias de antemano;)

danielgd (danielgd) said : #15

Hola,

Parece que tienes un problema con el driver de las impresoras Brother.
¿Has probado las indicaciones dadas en respuestas anteriores a la pregunta original? ¿Todas fallan?

Por favor, abre una pregunta nueva para tu problema indicando en el título que es sobre el driver de Brother, para que si alguien más tiene este problema pueda encontrarlo rápidamente sin tener que leer todas las preguntas.
Gracias

andonifer (andonifer) said : #16

ya está solucionado,igualmente,gracias por tu interés ;)
saludos.

esotori (esoto-ymail) said : #17

Yo tuve el mismo problema, pero con Panda-Security

Recibia el siguiente mensaje y no me permitia instalar nada (ni las actualizaciones):

sudo apt-get install
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
E: El paquete panda-security necesita ser reinstalado, pero no se encuentra un archivo para éste.

y luego de varias pruebas lo resolvi en tres pasos:

1) Baje el software adecuado para Ubuntu (panda-security_1.01.01r8833-ubuntu.shareware1_i386.deb) y lo copie al Escritorio de mi usuario base

2) Luego procedi a intalarlo y en este primer paso me indico que faltaba una libreria, la cual baje e instale con: sudo apt-get install libgksu1.2-1

3) Volvi a instalar panda y asunto resuelto: sudo dpkg -i /home/{usuario base}/Escritorio/panda-security_1.01.01r8833-ubuntu.shareware1_i386.deb

Atentamente.

Efraín Soto Rivera
San José, Costa Rica

julio011188 (julio011188) said : #18

bueno amigos lo primero que debes hacer es ver si te deja entrar a synaptic, si te deja ya es 1 punto a tu favor.....

despues si ninguno de los comandos anteriores te funciona puedes hacer esto.

ya que el synaptic no te deja eliminar complemente el archivo o reinstalarlo. puedes modificar el status...

para esto haz esto... entra como modo "root" desde una terminal con "sudo nautilus" despues te vas a tu sistema de archivos desde la ventana que te aparecio.

y te vas a esta direccion /var/lib/ ahi hay un archivo llamado "status" lo abres y ahi buscas el nombre de tu archivo que no te deja borrar... y en la parte de "status: ........." (DONDE APARECEN LOS PUNTOS DICE ALGO ASI COMO DE HALF-INSTALLED) AHY LE COLOCAS "ok purge-unistalled" y cierras y listo actualizas con "sudo-apt-get update" y ya podras instalar y desisntalr again XD..... sino puedes me mandas 1 correo a julio011188@hotmail y te mando una guia completa de como corregir tu problema y con mucho gusto lo hago. solo me especificas tu problema y listo.... Para eso estamos todos los ubunteros para ayudarnos.

Dennis Salcedo (denjossal) said : #19

Hola yo tambien tengo el mismo problema sobre el error de la desinstalacion de virtualbox.
Intente la solucion de "Cristo" y no me funciono el problema es este:

administrador@joseph-desktop:~$ sudo dpkg --remove --force-remove-reinstreq virtualbox
dpkg - aviso, no se tendrá en cuenta el problema por estar activa
 una opción --force:
 El paquete está en un estado muy malo e inconsistente - debe reinstalarlo
 antes de intentar desinstalarlo.
(Leyendo la base de datos ...
132668 ficheros y directorios instalados actualmente.)
Desinstalando virtualbox ...
(Kernel module not found)...fail!
invoke-rc.d: initscript virtualbox, action "stop" failed.
dpkg: error al procesar virtualbox (--remove):
 el subproceso pre-removal script devolvió el código de salida de error 1
-e
Creating group 'vboxusers'. VM users must be member of that group!

No precompiled module for this kernel found -- trying to build one
Messages displayed during module compilation will be logged to /var/log/vbox-install.log
Compilation of kernel module failed, aborting installation
dpkg: error al reorganizar:
 el subproceso post-installation script devolvió el código de salida de error 1
Se encontraron errores al procesar:
 virtualbox

Espero que me ayuden a solucionar este problema muchas gracias

danielgd (danielgd) said : #20

Parece que al cerrarse mal la sesión se corrompió el fichero /etc/apt/sources.list
Ábrelo con el gedit y mira si hay algo raro en la línea 55.
Si quieres, ponlo aquí para que te ayudemos.

Y una cosa, para diferentes problemas pon incidencias diferentes o respuestas dando más detalles, porque ahora nadie puede saber cual era el problema original y si le pasa, no sabría qué intentar.

Gracias y saludos

Jorge Suárez de Lis (ys) said : #21

Uf, menudo lío. Sebas, has editado la pregunta de otra persona si no me equivoco. Restauro la respuesta original y pongo tu texto aquí abajo para que abras otra pregunta con él:

-----------

tengo un problema con el gestor d paquetes

no puedo instalar ni desinstalar nada

me sale el siguiente msj

sebastian@sebastian-desktop:~$ sudo apt-get install
E: Tipo 'sudo' desconocido en la línea 55 de lista de fuentes /etc/apt/sources.list
E: No se pudieron leer las listas de fuentes.

el cual no me deja nisiquiera entrar al gestor de paquetes

ojala me pudieran ayudar, el problema se dio cuando estaba

navegando en internet y derrepente se cerro sesion

gracias !!!!!

sebas (sebastian-12959) said : #22

hola tengo un problema para entrar al gestor, no puedo instalar nada me sale el siguiente mensaje
E: Tipo 'sudo' desconocido en la línea 55 de lista de fuentes /etc/apt/sources.list
E: No se pudieron leer las listas de fuentes.
sebastian@sebastian-desktop:~$ /etc/apt/sources.list
bash: /etc/apt/sources.list: Permiso denegado
sebastian@sebastian-desktop:~$

ojala me puedan ayudar, todo comenzo un dia q estaba navegando en internet y derrepente se cerro sesion sola, ojala me ayuden

gracias!!!!

sebas (sebastian-12959) said : #23

hola tengo un problema para entrar al gestor, no puedo instalar nada me sale el siguiente mensaje
E: Tipo 'sudo' desconocido en la línea 55 de lista de fuentes /etc/apt/sources.list
E: No se pudieron leer las listas de fuentes.
sebastian@sebastian-desktop:~$ /etc/apt/sources.list
bash: /etc/apt/sources.list: Permiso denegado
sebastian@sebastian-desktop:~$

ojala me puedan ayudar, todo comenzo un dia q estaba navegando en internet y derrepente se cerro sesion sola, ojala me ayuden

gracias!!!!

Jorge Suárez de Lis (ys) said : #24

Sebas, no lo estás haciendo bien. Esta página pertenece a otra pregunta, con sus respuestas, que ya se cerró hace tiempo. Para mandar una pregunta nueva tienes que ir a https://answers.launchpad.net/ubuntu/ y pulsar en «Ask a question».

Can you help with this problem?

Provide an answer of your own, or ask joseflames for more information if necessary.

To post a message you must log in.